Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.xstream.mapper
Class AbstractAttributeAliasingMapper

    java.lang.Object
      com.thoughtworks.xstream.mapper.MapperWrapper
          com.thoughtworks.xstream.mapper.AbstractAttributeAliasingMapper

All Implemented Interfaces:
  Mapper

Direct Known Subclasses:
  AttributeAliasingMapper, SystemAttributeAliasingMapper

    public abstract class AbstractAttributeAliasingMapper

extends MapperWrapper

Abstract base class for AttributeAliassingMapper and its system version.

Since:
  1.3.1
Author:
  Jörg Schaible

Nested Class Summary

Nested classes/interfaces inherited from interface com.thoughtworks.xstream.mapper.Mapper
`Mapper.ImplicitCollectionMapping, Mapper.Null`

Field Summary
`protected Map` | `aliasToName`
`protected Map` | `nameToAlias`

Constructor Summary
`AbstractAttributeAliasingMapper(Mapper wrapped)`

Method Summary
`void` | `addAliasFor(String attributeName, String alias)`

Methods inherited from class com.thoughtworks.xstream.mapper.MapperWrapper
`aliasForAttribute, aliasForAttribute, aliasForSystemAttribute, attributeForAlias, attributeForAlias, attributeForClassDefiningField, attributeForEnumType, attributeForImplementationClass, attributeForReadResolveField, defaultImplementationOf, getConverterFromAttribute, getConverterFromAttribute, getConverterFromAttribute, getConverterFromItemType, getConverterFromItemType, getConverterFromItemType, getFieldNameForItemTypeAndName, getImplicitCollectionDefForFieldName, getItemTypeForItemFieldName, getLocalConverter, isImmutableValueType, lookupMapperOfType, realClass, realMember, serializedClass, serializedMember, shouldSerializeMember`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### aliasToName

    protected final Map aliasToName

### nameToAlias

    protected transient Map nameToAlias

Constructor Detail

### AbstractAttributeAliasingMapper

    public AbstractAttributeAliasingMapper(Mapper wrapped)

Method Detail

### addAliasFor

    public void addAliasFor(String attributeName,
                            String alias)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 XStream. All Rights Reserved.